//input plugin interface structure
typedef struct tagDSPPLUGIN{
  //handles all audio processing
  UINT32    (*processAudio)(UINT32 nSamplerate, UINT32 nBPS, INT8 *pBuffer, UINT32 nSize);
  //called when a new song is started so you can reset your dsp data
  UINT32    (*resetDSP)();
  //called when someone clicks on the enable button
  UINT32    (*processEnable)(HWND hWnd);
  //called when someone wants to config the plugin
  UINT32    (*processConfig)(HWND hWnd);
  //called when someone wants to learn about the plugin
  UINT32    (*processAbout)(HWND hWnd);
  //called once when the plugin is loaded
  UINT32    (*dspStartup)(HWND hWnd);
  //called once when the plugin is unloaded
  UINT32    (*dspShutdown)(HWND hWnd);
  //this is a priority rating from a scale of 1 (high) to 10 (low) that determines in what order
  //to call the dsp routines.
  UINT32    nPriority;
  //set this variable to 1 if your DSP is enabled, otherwise set it to 0
  UINT32    nEnabled;
  //=========================================================================
  //everything below this is filled in by the loading program and not the dll
  //=========================================================================
  //this is the intance of the dll in case you need to load a resource from within it
  HINSTANCE hInstance;
  //read a key and its values from an ini file
  INT8     *(*iniRead)(INT8 *szSection, INT8 *szKey);
  //write a key and its values to an ini file
  void      (*iniWrite)(INT8 *szSection, INT8 *szKey, INT8 *szData, ...);
}DSPPLUGIN;

//free the loaded dll's
UINT32 freeDSPDLLs();
//scan for dsp dll's and then call the load routine
UINT32 scanDSPDLLs(HWND, INT8 *);
//reset the dsp files
UINT32 resetDSPs();
//process dsp plugins
UINT32 processDSPs(UINT32, UINT32, INT8 *, UINT32);
//return a pointer to a dsp dll based on the filename
DSPPLUGIN *getDSPDLL(INT8 *szFilename);