/*
 * Meridian Prime
 * Copyright (C) 2002 Jason Cline
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <windows.h>
#include <stdio.h>
#include "global.h"

static INT8 szIniFile[255];
static INT8 szData[255];

//set up the ini functions
void iniSetup(INT8 *szDirectory)
{
  sprintf(szIniFile, "%s\\mp.ini", szDirectory);
}

//write a key and its values to an ini file
void iniWrite(INT8 *szSection, INT8 *szKey, INT8 *szData, ...)
{
va_list vArg;
INT8    szBuffer[1024];

  va_start(vArg, szData);
  vsprintf(szBuffer, szData, vArg);
  va_end(vArg);
  WritePrivateProfileString(szSection, szKey, szBuffer, szIniFile);
}

//read a key and its values from an ini file
INT8 *iniRead(INT8 *szSection, INT8 *szKey)
{
  GetPrivateProfileString(szSection, szKey, "", szData, 255, szIniFile);
  return(szData);
}
